petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStageLogGetStage

This function returns the stage id given the stage name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetStage(PetscStageLog stageLog, const char name[], int *stage)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| name | - The stage name

### Output Parameter

stage -The stage id, or -1 if it does not exist

### Keywords

log, stage

### See Also

PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages